Bug 269375 - face tags count error
Summary: face tags count error
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Faces-Engine (show other bugs)
Version: 2.0.0
Platform: Ubuntu Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-03-25 10:31 UTC by Rinus Bakker
Modified: 2012-06-27 10:24 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 2.0.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rinus Bakker 2011-03-25 10:31:22 UTC
Version:           2.0.0 (using KDE 4.6.1) 
OS:                Linux

The number of detected faces in the tagtree window differs from the count at the bottom of the screen

Reproducible: Always
Comment 1 Marcel Wiesweg 2011-04-30 22:32:39 UTC
Known problem. Need to find time to implement.
Comment 2 Marcel Wiesweg 2011-05-14 22:31:03 UTC
Git commit 818b9850e5dd5c3ba2bc2fc096bbdb1144db4b75 by Marcel Wiesweg.
Committed on 14/05/2011 at 21:56.
Pushed by mwiesweg into branch 'master'.

Use a kioslave job to get counts for faces.
Add a special mode to use this count in the faces sidebar treeview.

BUG: 269375

M  +2    -2    NEWS     
M  +60   -37   digikam/album/albummanager.cpp     
M  +5    -14   digikam/album/albummanager.h     
M  +1    -0    digikam/views/leftsidebarwidgets.cpp     
M  +15   -1    kioslave/digikamtags.cpp     
M  +22   -3    libs/models/albummodel.cpp     
M  +12   -0    libs/models/albummodel.h     

http://commits.kde.org/digikam/818b9850e5dd5c3ba2bc2fc096bbdb1144db4b75
Comment 3 Marcel Wiesweg 2011-05-14 22:31:03 UTC
Git commit 019b3fce23fa420bc105776f9bea746ec83e4609 by Marcel Wiesweg.
Committed on 14/05/2011 at 21:53.
Pushed by mwiesweg into branch 'master'.

Add a method to retrieve the number of images with a tag property, per tag.
(counts for faces)

CCBUG: 269375

M  +25   -0    libs/database/albumdb.cpp     
M  +6    -0    libs/database/albumdb.h     

http://commits.kde.org/digikam/019b3fce23fa420bc105776f9bea746ec83e4609